import Request from '@/request/request.js';
let request = Request.http;

export default {
    /**
     * 家政服务产品-列表
     * @param {*} data 
     * @returns 
     */
    createGroup(data) {
        return request({
            url: '/user/group/createGroup',
            method: 'post',
            data: data,
            header: {
                'Content-Type': 'application/json'
            }
        })
    },
    getInfoByUserId(data) {
        return request({
            url: '/user/shop/getInfoByUserId',
            method: 'get',
            params: data,
        })
    },

    // 店铺粉丝群-解散群
    delGroupByIdDisband(data) {
        return request({
            url: '/user/group/delGroupById/' + data,
            method: 'get',
            params: data,
        })
    },
    groupdelUse(data) {
        return request({
            url: '/user/group/delUser',
            method: 'post',
            data: data,
            header: {
                'Content-Type': 'application/json'
            }
        })
    },

    // 店铺粉丝群-退出群聊
    quitGroup(data) {
        return request({
            url: '/user/group/quitGroup',
            method: 'post',
            data: data,
            header: {
                'Content-Type': 'application/json'
            }
        })
    },
    // 店铺粉丝群-更新群信息
    updateGroup(data) {
        return request({
            url: '/user/group/updateGroup',
            method: 'post',
            data: data,
            header: {
                'Content-Type': 'application/json'
            }
        })
    },
}
